# std::future< _Res & > Class Template Reference
[Futures]

Partial specialization for future<R&> More...

Inheritance diagram for std::future< _Res & >:
[legend]

List of all members.

## Public Member Functions

- future (future &&__uf)
- future (const future &)
- _Res & get ()
- future & operator= (const future &)
- future & operator= (future &&__fut)
- bool valid () const
- void wait () const
- bool wait_for (const chrono::duration< _Rep, _Period > &__rel) const
- bool wait_until (const chrono::time_point< _Clock, _Duration > &__abs) const

## Protected Types

- typedef __future_base::_Result
  < _Res & > & __result_type

## Protected Member Functions

- __result_type _M_get_result ()
- void _M_swap (__basic_future &__that)

## Friends

- template<typename _Fn , typename... _Args> future< typename result_of
  < _Fn(_Args...)>::type > async (launch, _Fn &&, _Args &&...)
- class packaged_task
- class promise< _Res & >

## Detailed Description

### template<typename _Res>
class std::future< _Res & >

Partial specialization for future<R&>

Definition at line 600 of file future.

## Constructor & Destructor Documentation

template<typename _Res >

std::future< _Res & >::future | ( | future< _Res & > && | __uf | ) | `[inline]`

Move constructor.

Definition at line 618 of file future.

## Member Function Documentation

__result_type std::__basic_future< _Res & >::_M_get_result | ( |  | ) | `[inline, protected, inherited]`

Wait for the state to be ready and rethrow any stored exception.

Definition at line 513 of file future.

References std::rethrow_exception().

template<typename _Res >

_Res& std::future< _Res & >::get | ( |  | ) | `[inline]`

Retrieving the value.

Definition at line 632 of file future.

The documentation for this class was generated from the following file:

- future